﻿using System;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 커스텀 컨트롤
    /// </summary>
    public partial class CustomControl : UserControl
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CustomControl()

        /// <summary>
        /// 생성자
        /// </summary>
        public CustomControl()
        {
            InitializeComponent();

            this.testButton.Click += testButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 테스트 버튼 클릭시 처리하기 - testButton_Click(sender, e)

        /// <summary>
        /// 테스트 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void testButton_Click(object sender, EventArgs e)
        {
            MessageBox.Show("테스트 메시지 입니다.");
        }

        #endregion
    }
}